EDIT - feature request #2949

Simplify TaxonName classes
07/06/2012 11:51 AM - Andreas Mdller

Status: Duplicate Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.7

Severity: major

Description

Currently we do have 7 TaxonNameBase related classes. However only ViralName really differs much from all other classes.

Having different classes instead of pure type information from a type enum such as in Reference creates a lot of overhead for
programming, therefore we should unify at least all 5 NonViralName classes.

However, the largest overhead is created by the differentation of TaxonNameBase and NonViralName as TNB is referenced e.g. by
TaxonBase whereas for most operations on names we need NVN. This is also a recurring source of bugs such as Class Cast
Exceptions.

As ViralNames are very rarely used, it is suggested to integrate them also within 1 (!) TaxonName class and treat incorrect handling
via validation.

Also changing name types without changing uuid/id is easier this way.
Allow interfaces for correct programming such as for Reference interfaces.
NomenclaturalCode may become the type class and be persisted (see also #2615)

http://cybertaxonomy.eu/cdm-uml/v31/

Related issues:
Is duplicate of EDIT - feature request #6361: [MASTER] Merge all TaxonName cl... Closed

History

#1 - 07/06/2012 11:53 AM - Andreas Miiller

- Severity changed from normal to major

#2 - 05/15/2013 01:30 AM - Andreas Miiller
- Priority changed from Highest to Priority13

#3 - 12/16/2014 08:23 PM - Andreas Miiller
- Target version changed from CDM UML 3.5 to CDM UML - Next major release

Move all unassigned modelling tickets to next major release

#4 - 01/21/2017 12:13 PM - Andreas Miiller
- Description updated
- Target version changed from CDM UML - Next major release to COM UML 4.7

- Private changed from Yes to No

#5 - 01/21/2017 12:13 PM - Andreas Miiller
- Is duplicate of feature request #6361: [MASTER] Merge all TaxonName classes into 1 class added

#6 - 06/07/2017 01:19 AM - Andreas Miiller

- Status changed from New to Duplicate
